Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnSourceSpec Class Reference

gnSourceSpec stores sequence and annotation data from another source. More...

`#include <gnSourceSpec.h>`

Inheritance diagram for gnSourceSpec::

List of all members.

## Public Methods
| gnSourceSpec ()
| Empty constructor. More...
| gnSourceSpec (gnBaseSource *m_pSource, const uint32 m_ContigIndex=ALL_CONTIGS, const gnSeqI start=0, const gnSeqI endI=GNSEQI_END, const boolean revComp=false)
| Constructor, creates a gnSourceSpec using sequence data in the given source. More...
| gnSourceSpec (const gnSourceSpec &s)
| Copy constructor. More...
| ~gnSourceSpec ()
gnSourceSpec* | Clone () const
virtual void | Clear ()
| Clears all data from this spec. More...
virtual gnSeqI | GetSourceLength () const
| Get the length of the source for this spec. More...
virtual gnBaseSource* | GetSource () const
virtual gnSourceSpec* | CloneRange (const gnSeqI startI, const gnSeqI len) const
| Copies a specified range of bases and returns a pointer to the resulting gnSourceSpec. More...
## Protected Methods
virtual boolean | Read (const gnSeqI start, gnSeqC *buf, uint32 &bufLen) const
| all derived classes must implement this! it simply reads the specified bases into buf, disregarding circularity and reverse complement. More...
## Protected Attributes
gnBaseSource* | m_pSource

## Detailed Description

gnSourceSpec stores sequence and annotation data from another source.

See also:
  gnContigSpec , gnBaseSpec

Definition at line 27 of file gnSourceSpec.h.

## Constructor & Destructor Documentation

gnSourceSpec::gnSourceSpec ( | )

| Empty constructor. Definition at line 16 of file gnSourceSpec.cpp. Referenced by Clone(), and CloneRange().

gnSourceSpec::gnSourceSpec ( | gnBaseSource * m_pSource,
| const uint32 m_ContigIndex = ALL_CONTIGS,
| const gnSeqI start = 0,
| const gnSeqI endI = GNSEQI_END,
| const boolean revComp = false )

  | Constructor, creates a gnSourceSpec using sequence data in the given source. A circular spec will be created if the end index is greater than the start. Parameters:
  m_pSource | The source to read base pairs from.
  m_ContigIndex | The index of the contig in the source, ALL_CONTIGS by default.
  startI | The index to start reading base pairs from the source.
  endI | The index to stop reading base pairs from the source.
  revComp | True if the sequence is read reverse complement.
Definition at line 33 of file gnSourceSpec.cpp.

gnSourceSpec::gnSourceSpec ( | const gnSourceSpec & s )

  | Copy constructor. Parameters:
  s | the gnSourceSpec to copy.
Definition at line 21 of file gnSourceSpec.cpp.

gnSourceSpec::~gnSourceSpec ( | )

| Definition at line 63 of file gnSourceSpec.cpp.

## Member Function Documentation

void gnSourceSpec::Clear ( | )`[virtual]`

| Clears all data from this spec. Reimplemented from gnContigSpec. Definition at line 67 of file gnSourceSpec.cpp. Referenced by gnSourceSpec().

gnSourceSpec * gnSourceSpec::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnContigSpec. Definition at line 74 of file gnSourceSpec.h.

gnSourceSpec * gnSourceSpec::CloneRange ( | const gnSeqI startI,
| const gnSeqI len ) const`[virtual]`

  | Copies a specified range of bases and returns a pointer to the resulting gnSourceSpec. You must delete the copy when you are finished with it. Parameters:
  startI | The first base pair to copy
  len | The length of the piece to copy
Returns: A copy of the gnSourceSpec containing only the specified bases Definition at line 74 of file gnSourceSpec.cpp.

gnBaseSource * gnSourceSpec::GetSource ( | ) const`[inline, virtual]`

| Definition at line 83 of file gnSourceSpec.h.

gnSeqI gnSourceSpec::GetSourceLength ( | ) const`[inline, virtual]`

| Get the length of the source for this spec. Returns: The source length. Reimplemented from gnContigSpec. Definition at line 79 of file gnSourceSpec.h.

boolean gnSourceSpec::Read ( | const gnSeqI start,
| gnSeqC * buf,
| uint32 & bufLen ) const`[inline, protected, virtual]`

| all derived classes must implement this! it simply reads the specified bases into buf, disregarding circularity and reverse complement. Reimplemented from gnContigSpec. Definition at line 89 of file gnSourceSpec.h.

## Member Data Documentation

gnBaseSource * gnSourceSpec::m_pSource`[protected]`

| Definition at line 69 of file gnSourceSpec.h.

The documentation for this class was generated from the following files:

- gnSourceSpec.h
- gnSourceSpec.cpp